// JavaScript Document
function SetHome(obj,vrl){
        try{
                obj.style.behavior='url(#default#homepage)';obj.setHomePage(vrl);
        }
        catch(e){
                if(window.netscape) {
                        try {
                                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect"); 
                        } 
                        catch (e)  {
                                alert("此操作被浏览器拒绝！\n请在浏览器地址栏输入“about:config”并回车\n然后将[signed.applets.codebase_principal_support]设置为’true’"); 
                        }
                        var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
                        prefs.setCharPref('browser.startup.homepage',vrl);
                 }
        }
}
//页面载入执行
$(document).ready(function(){
	//执行首页产品翻转信息效果
	brandPicTurn();
	//执行导航联系方式
	linenav();
	//执行导航效果
	jaynav();
	//执行主导航、二级导航显示函数
	mmenuURL();
});
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
function mmenuURL()//主导航、二级导航显示函数
{
var thisURL = document.URL;
tmpUPage = thisURL.split( "/" );  
thisUPage_s = tmpUPage[ tmpUPage.length-1 ]; 
thisUPage_s= thisUPage_s.toLowerCase();//小写
thisUPage_p = thisURL;
//主导航
		if(thisUPage_s=="vps.asp"||thisUPage_s=="vps.asp"||thisUPage_s=="vps.asp"){
			$("#nav_i2").addClass("hover");
		}else if(thisUPage_s=="vpshost.asp"){
			$("#nav_i3").addClass("hover");
		}else if(thisUPage_s=="host.asp"){
			$("#nav_i4").addClass("hover");
		}else if(thisUPage_s=="servers.asp"||thisUPage_s=="servers.asp"||thisUPage_s=="servers.asp"){
			$("#nav_i5").addClass("hover");
		}else if(thisUPage_s=="domain.asp"){
			$("#nav_i6").addClass("hover");
		}else if(thisUPage_s=="news.asp"){
			$("#nav_i7").addClass("hover");
		}else if(thisUPage_s=="agent.asp"){
			$("#nav_i8").addClass("hover");
		}else{
			$("#nav_i1").addClass("hover");
		}
		
		//二级导航
		if(thisUPage_s=="host.asp"||thisUPage_s=="domain.asp")
		{
			$("#left_menu li:eq(0)").addClass("hover");
		}else if(thisUPage_s=="servers.asp"||thisUPage_s=="domain.asp"){
			$("#left_menu li:eq(1)").addClass("hover");
		}else if(thisUPage_s=="domain.asp"){
			$("#left_menu li:eq(2)").addClass("hover");
		}
}

//定义首页产品翻转信息效果
function brandPicTurn(){
	$(".brand_detail").hide();
	$(".brand_item").hover(
		function(){
			$(this).children(".brand_name").hide();
			$(this).children(".brand_detail").show();
		}
		, function(){
			$(this).children(".brand_detail").hide();
			$(this).children(".brand_name").show();
		}
	);
};

/*定义导航联系方式*/
function linenav(){
	$("#contact .contact_box").hover(function() { $(this).addClass("hover"); }, function(){	$(this).removeClass("hover");});
};

/*定义导航效果*/
function jaynav(){
	$('#nav_main li').mousemove(function(){
	$(this).find('.nav_item').show();
	$(this).find('.item_l').addClass('hover');
	});
	$('#nav_main li').mouseleave(function(){
	$(this).find('.nav_item').hide();
	$(this).find('.item_l').removeClass('hover');
	mmenuURL();
	});
};